Bug 1431730 (CVE-2017-6800, CVE-2017-6801, CVE-2017-6802, CVE-2017-9058, CVE-2017-9146) - CVE-2017-6800 CVE-2017-6801 CVE-2017-6802 CVE-2017-9058 CVE-2017-9146 ytnef: Multiple vulnerabilities fixed in 1.9.2 version [NEEDINFO]
Summary: CVE-2017-6800 CVE-2017-6801 CVE-2017-6802 CVE-2017-9058 CVE-2017-9146 ytnef: ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-6800, CVE-2017-6801, CVE-2017-6802, CVE-2017-9058, CVE-2017-9146
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1422814 1422816 1422815 1422817
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:27 UTC by Andrej Nemec
Modified: 2019-09-29 14:08 UTC (History)
4 users (show)

Fixed In Version: ytnef 1.9.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:08:58 UTC
andreas.bierfert: needinfo? (itamar)


Attachments (Terms of Use)
spec patch (4.80 KB, patch)
2017-03-18 13:47 UTC, Andreas Bierfert
no flags Details | Diff

Description Andrej Nemec 2017-03-13 16:27:05 UTC
CVE-2017-6802 - An issue was discovered in ytnef before 1.9.2. There is a potential
heap-based buffer over-read on incoming Compressed RTF Streams, related to DecompressRTF() in libytnef.

Upstream bug:

https://github.com/Yeraze/ytnef/issues/34

CVE-2017-6801 - An issue was discovered in ytnef before 1.9.2. There is a potential
out-of-bounds access with fields of Size 0 in TNEFParse() in libytnef.

Upstream patch:

https://github.com/Yeraze/ytnef/commit/3cb0f914d6427073f262e1b2b5fd973e3043cdf7

CVE-2017-6800 - An issue was discovered in ytnef before 1.9.2. An invalid memory access
(heap-based buffer over-read) can occur during handling of LONG data types, related to MAPIPrint() in libytnef.

Upstream bug:

https://github.com/Yeraze/ytnef/issues/28

Comment 1 Andrej Nemec 2017-03-13 16:28:33 UTC
Created libytnef tracking bugs for this issue:

Affects: fedora-all [bug 1422817]
Affects: epel-all [bug 1422814]

Comment 2 Andrej Nemec 2017-03-13 16:28:39 UTC
Created ytnef tracking bugs for this issue:

Affects: fedora-all [bug 1422815]
Affects: epel-all [bug 1422816]

Comment 3 Andreas Bierfert 2017-03-18 13:44:56 UTC
The correct fix will be to merge ytnef and libytnef into one package (as done upstream with version 1.9. I have prepared a scratch build here. Itamar if you don't mind I will push this to rawhide and deprecate the separate libytnef there and then go to the releases once this got a bit more testing.

https://koji.fedoraproject.org/koji/taskinfo?taskID=18454905

Comment 4 Andreas Bierfert 2017-03-18 13:47:13 UTC
Created attachment 1264378 [details]
spec patch

Comment 5 Andrej Nemec 2017-05-18 13:33:47 UTC
Another CVE was reported in libytnef.

CVE-2017-9058 - In libytnef in ytnef through 1.9.2, there is a heap-based buffer over-read due to incorrect boundary checking in the SIZECHECK macro in lib/ytnef.c. 

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=862556

Comment 6 Andrej Nemec 2017-05-23 07:42:45 UTC
Another CVE was reported in libytnef.

CVE-2017-9146 - The TNEFFillMapi function in lib/ytnef.c in libytnef in ytnef through 1.9.2 does not ensure a nonzero count value before a certain memory allocation, which allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted tnef file. 

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=862707

Comment 7 Product Security DevOps Team 2019-06-08 03:08:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.